Foxit PDF RDK

Public Member Functions | Public Attributes | List of all members
PowerPoint2PDFSettingData Class Reference
Inheritance diagram for PowerPoint2PDFSettingData:

## Public Member Functions
| constructor ()
| Constructor.
| constructor (intent, frame_output_slides, output_type, handout_order, output_hidden_slides, include_doc_props, disable_vba_code)
| Constructor, with parameters. More...
| Set (intent, frame_output_slides, output_type, handout_order, output_hidden_slides, include_doc_props, disable_vba_code)
| Set value. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Public Attributes
| disable_vba_code
| A boolean value decide whether to disable the execution of vba code in the PowerPoint document. More...
| e_ConvertIntentPrint
| Enumeration for intent for converting PowerPoint to PDF. More...
| e_ConvertIntentScreen
| Intent: converted result file will be used for showing on screen.
| e_HandoutOrderHorizontalFirst
| Enumeration for specifying the page layout order in which slides appear on converted handouts. Handouts can be used to show multiple slides on one page when converting PowerPoint to PDF. More...
| e_HandoutOrderVerticalFirst
| When converting PowerPoint in handouts type, convert handouts with consecutive slides displayed vertically first (in vertical columns).
| e_OutputFourSlideHandouts
| Output type: handouts with four slide per handout page.
| e_OutputNineSlideHandouts
| Output type: handouts with nine slide per handout page.
| e_OutputNotesPages
| Output type: notes pages.
| e_OutputOneSlideHandouts
| Output type: handouts with one slide per handout page.
| e_OutputOutline
| Output type: outline view.
| e_OutputSixSlideHandouts
| Output type: handouts with six slide per handout page.
| e_OutputSlides
| Enumeration for output type for converting PowerPoint to PDF. More...
| e_OutputThreeSlideHandouts
| Output type: handouts with three slide per handout page.
| e_OutputTwoSlideHandouts
| Output type: handouts with two slide per handout page.
| frame_output_slides
| A boolean value which indicates whether to frame output slides in the converted PDF document. More...
| handout_order
| Handout order used to specify the page layout order in which slides appear on converted handouts. Handouts can be used to show multiple slides on one page when converting PowerPoint to PDF. Please refer to values starting from PowerPoint2PDFSettingData.e_HandoutOrderHorizontalFirst and this should be one of these values. More...
| include_doc_props
| A boolean value which indicates whether to include PowerPoint document properties in the converted PDF document. More...
| intent
| Converting intent. Please refer to values starting from PowerPoint2PDFSettingData.e_ConvertIntentPrint and this should be one of these values.
| output_hidden_slides
| A boolean value which indicates whether to convert hidden slides to the converted PDF document. More...
| output_type
| Output type used to specify which component (slides, handouts, notes pages, or an outline) of PowerPoint document is to be converted to PDF document. Please refer to values starting from PowerPoint2PDFSettingData.e_OutputSlides and this should be one of these values.

## Detailed Description

This class represents setting data used for converting PowerPoint to PDF.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ constructor()

PowerPoint2PDFSettingData.constructor | ( | intent | ,
|  | frame_output_slides | ,
|  | output_type | ,
|  | handout_order | ,
|  | output_hidden_slides | ,
|  | include_doc_props | ,
|  | disable_vba_code |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | intent | Converting intent. Please refer to values starting from PowerPoint2PDFSettingData.e_ConvertIntentPrint and this should be one of these values.
  [in] | frame_output_slides | A boolean value which indicates whether to frame output slides in the converted PDF document or not.
  [in] | output_type | Output type used to specify which component of PowerPoint document is to be converted. Please refer to values starting from PowerPoint2PDFSettingData.e_OutputSlides and this should be one of these values.
  [in] | handout_order | Handout order used to specify the page layout order in which slides appear on converted handouts that show multiple slides on one page. Please refer to values starting from PowerPoint2PDFSettingData.e_HandoutOrderHorizontalFirst and this should be one of these values.
  [in] | output_hidden_slides | A boolean value which indicates whether to convert hidden slides to the converted PDF document.
  [in] | include_doc_props | A boolean value which indicates whether to include PowerPoint document properties in the converted PDF document.
  [in] | disable_vba_code | A boolean value decide whether to disable the execution of vba code in the PowerPoint document.

## ◆ Set()

PowerPoint2PDFSettingData.Set | ( | intent | ,
|  | frame_output_slides | ,
|  | output_type | ,
|  | handout_order | ,
|  | output_hidden_slides | ,
|  | include_doc_props | ,
|  | disable_vba_code |
| ) |  |

Set value.

Parameters

  [in] | intent | Converting intent. Please refer to values starting from PowerPoint2PDFSettingData.e_ConvertIntentPrint and this should be one of these values.
  [in] | frame_output_slides | A boolean value which indicates whether to frame output slides in the converted PDF document or not.
  [in] | output_type | Output type used to specify which component of PowerPoint document is to be converted. Please refer to values starting from PowerPoint2PDFSettingData.e_OutputSlides and this should be one of these values.
  [in] | handout_order | Handout order used to specify the page layout order in which slides appear on converted handouts that show multiple slides on one page. Please refer to values starting from PowerPoint2PDFSettingData.e_HandoutOrderHorizontalFirst and this should be one of these values.
  [in] | output_hidden_slides | A boolean value which indicates whether to convert hidden slides to the converted PDF document.
  [in] | include_doc_props | A boolean value which indicates whether to include PowerPoint document properties in the converted PDF document.
  [in] | disable_vba_code | A boolean value decide whether to disable the execution of vba code in the PowerPoint document.

Returns
  None.

## Member Data Documentation

## ◆ disable_vba_code

PowerPoint2PDFSettingData.disable_vba_code

A boolean value decide whether to disable the execution of vba code in the PowerPoint document.

true means to disable the vba code, while false means not. Default value:false.
This flag is only supported on Windows platforms.

## ◆ e_ConvertIntentPrint

PowerPoint2PDFSettingData.e_ConvertIntentPrint

Enumeration for intent for converting PowerPoint to PDF.

Values of this enumeration should be used alone.

Intent: converted result file will be used for printing.

## ◆ e_HandoutOrderHorizontalFirst

PowerPoint2PDFSettingData.e_HandoutOrderHorizontalFirst

Enumeration for specifying the page layout order in which slides appear on converted handouts. Handouts can be used to show multiple slides on one page when converting PowerPoint to PDF.

Values of this enumeration should be used alone.

When converting PowerPoint in handouts type, convert handouts with consecutive slides displayed horizontally first (in horizontal rows).

## ◆ e_OutputSlides

PowerPoint2PDFSettingData.e_OutputSlides

Enumeration for output type for converting PowerPoint to PDF.

Values of this enumeration should be used alone.

Output type: slides.

## ◆ frame_output_slides

PowerPoint2PDFSettingData.frame_output_slides

A boolean value which indicates whether to frame output slides in the converted PDF document.

true means to frame output slides in the converted PDF document.
false means not to frame output slides in the converted PDF document.

## ◆ handout_order

PowerPoint2PDFSettingData.handout_order

Handout order used to specify the page layout order in which slides appear on converted handouts. Handouts can be used to show multiple slides on one page when converting PowerPoint to PDF. Please refer to values starting from PowerPoint2PDFSettingData.e_HandoutOrderHorizontalFirst and this should be one of these values.

Note
  This would be available only when output_type is one of following value:
  - PowerPoint2PDFSettingData.e_OutputOneSlideHandouts
  - PowerPoint2PDFSettingData.e_OutputTwoSlideHandouts
  - PowerPoint2PDFSettingData.e_OutputThreeSlideHandouts
  - PowerPoint2PDFSettingData.e_OutputFourSlideHandouts
  - PowerPoint2PDFSettingData.e_OutputSixSlideHandouts
  - PowerPoint2PDFSettingData.e_OutputNineSlideHandouts

## ◆ include_doc_props

PowerPoint2PDFSettingData.include_doc_props

A boolean value which indicates whether to include PowerPoint document properties in the converted PDF document.

true means to include PowerPoint document properties in the converted PDF document.
false means not to include PowerPoint document properties in the converted PDF document.

## ◆ output_hidden_slides

PowerPoint2PDFSettingData.output_hidden_slides

A boolean value which indicates whether to convert hidden slides to the converted PDF document.

true means to convert hidden slides to the converted PDF document.
false means not to convert hidden slides to the converted PDF document.